/**
 * @file Plugin for inserting Joomla 3 list elements
 */

		CKEDITOR.plugins.add( 'list',
		{
				requires  : [ 'fakeobjects', 'htmldataprocessor' ],
				init : function( editor )
				{
						
						// Register the toolbar buttons.
						editor.ui.addButton( 'list',
						{
								label : 'Insert A List',
								icon : this.path + 'images/readmoreButton.gif',
								command : 'list'
						});
						editor.addCommand( 'list',
						{
								exec : function()
								{

										insertComment( 'list' );
								}
						} );

						function insertComment( text )
						{
							editor.insertHtml('<ul class="list-icon circle-arrow' + text +'" />');
						}
				}
		});